diff --git a/doc/src/sgml/func.sgml b/doc/src/sgml/func.sgml
index be315aaabb..826c59ecd9 100644
--- a/doc/src/sgml/func.sgml
+++ b/doc/src/sgml/func.sgml
@@ -20209,14 +20209,14 @@ postgres=# SELECT * FROM pg_walfile_name_offset(pg_stop_backup());
        <entry><literal><function>pg_partition_tree(<type>oid</type>)</function></literal></entry>
        <entry><type>setof record</type></entry>
        <entry>
-        List information about table in a partition tree for a given
+        List information about tables in partition tree for a given
         partitioned table, which consists of one row for each partition and
         table itself.  Information provided includes the OID of the partition,
-        the OID of its immediate parent, if the partition is a leaf and its
-        level in the hierarchy.  The value of level begins at
-        <literal>0</literal> for the input table in its role as the root of
-        the partition tree, <literal>1</literal> for its partitions,
-        <literal>2</literal> for their partitions, and so on.
+        the OID of its immediate parent, a boolean value telling if the
+        partition is a leaf, and an integer telling its level in the hierarchy.
+        The value of level begins at <literal>0</literal> for the input table
+        in its role as the root of the partition tree, <literal>1</literal> for
+        its partitions, <literal>2</literal> for their partitions, and so on.
        </entry>
       </row>
      </tbody>
